Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package typechecker
  Definition Classes
    nsc
- Adaptations
- Analyzer
- AnalyzerPlugins
- Checkable
- ConstantFolder
- ContextErrors
- ContextMode
- Contexts
- DestructureTypes
- Duplicators
- EtaExpansion
- Fingerprint
- Implicits
- ImplicitsStats
- Infer
- MacroAnnotationAttachments
- MacroAnnotationNamers
- Macros
- MacrosStats
- MethodSynthesis
- Namers
- NamesDefaults
- PatternTypers
- RefChecks
- StdAttachments
- StructuredTypeStrings
- SuperAccessors
- SyntheticMethods
- Tags
- TreeCheckers
- TypeDiagnostics
- TypeStrings
- Typers
- TypersStats
- TypersTracking
- Unapplies

o

scala.tools.nsc.typechecker

# TypeStrings

###
Companion trait TypeStrings

#### object TypeStrings extends TypeStrings

Source
  TypeStrings.scala

Linear Supertypes
TypeStrings, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. TypeStrings
2. TypeStrings
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def anyClass(x: Any): JClass
   Definition Classes
     TypeStrings
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
9.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
10.  def fromClazz(clazz: JClass): String
    Definition Classes
      TypeStrings
11.  def fromTag[T](implicit arg0: reflect.api.JavaUniverse.TypeTag[T], arg1: ClassTag[T]): String
    Definition Classes
      TypeStrings
12.  def fromValue(value: Any): String

    Going for an overabundance of caution right now.

    Going for an overabundance of caution right now. Later these types can be a lot more precise, but right now the tags have a habit of introducing material which is not syntactically valid as scala source. When this happens it breaks the repl. It would be nice if we mandated that tag toString methods (or some other method, since it's bad practice to rely on toString for correctness) generated the VALID string representation of the type.

    Definition Classes
      TypeStrings
13.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
14.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
15.  def isAnonClass(cl: Class[_]): Boolean
    Definition Classes
      TypeStrings
16.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
17.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
18.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
19.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
20.  def quieter(tpe: String, alsoStrip: String*): String

    Reducing fully qualified noise for some common packages.

    Reducing fully qualified noise for some common packages.

    Definition Classes
      TypeStrings
21.  def scalaName(clazz: JClass): String
    Definition Classes
      TypeStrings
22.  def scalaName(s: String): String
    Definition Classes
      TypeStrings
23.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
24.  def toString(): String
    Definition Classes
      AnyRef → Any
25.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
26.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
27.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from TypeStrings

### Inherited from AnyRef

### Inherited from Any

### Ungrouped